classification
Title: Ttk tests fail when wantobjects is false
Type: behavior Stage: resolved
Components: Tkinter Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: gpolo, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-12-26 18:20 by serhiy.storchaka, last changed 2014-01-10 21:56 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_ttk_guionly.log serhiy.storchaka, 2013-12-26 18:20
test_ttk_wantobjects.patch serhiy.storchaka, 2013-12-26 18:38 review
Messages (3)
msg206951 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-26 18:20
Ttk tests fail when wantobjects is false. See attached log file.
msg206952 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-26 18:38
Proposed patch fixes tkinter so that it now works when wantobjects is false (at least functions and methods return more sensible results) and fixes ttk tests so they conform to current behavior. If wantobjects is true, the behavior should not be changed.
msg207569 - (view) Author: Roundup Robot (python-dev) Date: 2014-01-07 17:33
New changeset 2d81d0d42ae2 by Serhiy Storchaka in branch '3.3':
Issue #20072: Fixed multiple errors in tkinter with wantobjects is False.
http://hg.python.org/cpython/rev/2d81d0d42ae2

New changeset 1628cd94db52 by Serhiy Storchaka in branch 'default':
Issue #20072: Fixed multiple errors in tkinter with wantobjects is False.
http://hg.python.org/cpython/rev/1628cd94db52

New changeset 89b3836f7378 by Serhiy Storchaka in branch '2.7':
Issue #20072: Fixed multiple errors in tkinter with wantobjects is False.
http://hg.python.org/cpython/rev/89b3836f7378
History
Date User Action Args
2014-01-10 21:56:30serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-01-07 17:33:29python-devsetnosy: + python-dev
messages: + msg207569
2013-12-26 18:38:55serhiy.storchakasetfiles: + test_ttk_wantobjects.patch
keywords: + patch
messages: + msg206952

stage: patch review
2013-12-26 18:20:06serhiy.storchakacreate